Security Updates for Exchange (February 2020)

high Nessus Plugin ID 133617

Synopsis

The Microsoft Exchange Server installed on the remote host is affected by multiple vulnerabilities.

Description

The Microsoft Exchange Server installed on the remote host is missing security updates. It is, therefore, affected by multiple vulnerabilities :

- An elevation of privilege vulnerability exists in Microsoft Exchange Server. An attacker who successfully exploited this vulnerability could gain the same rights as any other user of the Exchange server. This could allow the attacker to perform activities such as accessing the mailboxes of other users. Exploitation of this vulnerability requires Exchange Web Services (EWS) to be enabled and in use in an affected environment.
(CVE-2020-0692)

- A remote code execution vulnerability exists in Microsoft Exchange software when the software fails to properly handle objects in memory. An attacker who successfully exploited the vulnerability could run arbitrary code in the context of the System user. An attacker could then install programs; view, change, or delete data; or create new accounts. Exploitation of the vulnerability requires that a specially crafted email be sent to a vulnerable Exchange server. The security update addresses the vulnerability by correcting how Microsoft Exchange handles objects in memory.
(CVE-2020-0688)

Solution

Microsoft has released the following security updates to address this issue:
-KB4536987
-KB4536988
-KB4536989

See Also

http://www.nessus.org/u?cac6add1

http://www.nessus.org/u?dce9375f

http://www.nessus.org/u?b23bced2

Plugin Details

Severity: High

ID: 133617

File Name: smb_nt_ms20_feb_exchange.nasl

Version: 1.18

Type: local

Agent: windows

Published: 2/11/2020

Updated: 4/4/2022

Risk Information

VPR

Risk Factor: Critical

Score: 9.7

CVSS v2

Risk Factor: High

Base Score: 9

Temporal Score: 7.8

Vector: AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2020-0688

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 8.4

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:exchange_server

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2/11/2020

Vulnerability Publication Date: 2/11/2020

CISA Known Exploited Dates: 5/3/2022

Exploitable With

CANVAS (CANVAS)

Metasploit (Exchange Control Panel ViewState Deserialization)

Reference Information

CVE: CVE-2020-0688, CVE-2020-0692

MSKB: 4536987, 4536988, 4536989

MSFT: MS20-4536987, MS20-4536988, MS20-4536989

CISA-NCAS: AA22-011A